//========================================================

class Text extends SceneElement {

//========================================================
    //----------------------------------------------------
    onSetup(data){
    //----------------------------------------------------

        this.add_variable("text");

    }
    //----------------------------------------------------

    onDraw(div,selected){

    //----------------------------------------------------

        div.append(this.text);
        return div;

    }
    //----------------------------------------------------
}

//========================================================

